Fapi_GetDescription(3)

NAME
Fapi_GetDescription - Fapi_GetDescription

SYNOPSIS

  Functions
TSS2_RC Fapi_GetDescription (FAPI_CONTEXT *context, char const *path, char **description)
TSS2_RC Fapi_GetDescription_Async (FAPI_CONTEXT *context, char const *path)
TSS2_RC Fapi_GetDescription_Finish (FAPI_CONTEXT *context, char **description)

Detailed Description

FAPI functions to invoke GetDescription either as one-call or in an asynchronous manner.

Function Documentation

  Fapi_GetDescription (FAPI_CONTEXT * context, char const * path, char ** description)
One-Call function for Fapi_GetDescription

Returns the description of a previously stored object.

Parameters
    context The FAPI_CONTEXT
    path The path of the object for which the description is loaded
    description The description of the object

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, path or description is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  Fapi_GetDescription_Async (FAPI_CONTEXT * context, char const * path)
Asynchronous function for Fapi_GetDescription

Returns the description of a previously stored object.

Call Fapi_GetDescription_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path of the object for which the description is loaded

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  Fapi_GetDescription_Finish (FAPI_CONTEXT * context, char ** description)
Asynchronous finish function for Fapi_GetDescription

This function should be called after a previous Fapi_GetDescription_Async.

Parameters
    context The FAPI_CONTEXT
    description The description of the object

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or description is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.